Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234900 - b2c2-flexcop-pci causes lockdep lock
Summary: b2c2-flexcop-pci causes lockdep lock
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i386
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-02 19:32 UTC by Hendrik Borghorst
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-18 13:14:58 UTC


Attachments (Terms of Use)
Patch to fix the problem (deleted)
2007-04-04 13:12 UTC, Hendrik Borghorst
no flags Details | Diff

Description Hendrik Borghorst 2007-04-02 19:32:27 UTC
Description of problem:
I've installed FC7T3 and it tries to boot but when it tries loading udev it
locks up with the message: "the code is fine but needs lockdep annotation.
> [13440.772455] turning off the locking correctness validator." and some debug
printout. If I blacklist the b2c2-flexcop-pci module than FC7 boots right.


Version-Release number of selected component (if applicable):
Fedora 7 Rawhide


How reproducible:
100% every reboot

Steps to Reproduce:
1.modprobe b2c2-flexcop-pci
2.see the lock
3.
  
Actual results:
System freeze

Expected results:
working dvb :-)


Additional info:
I've an Technisat Airstar 2 DVB-T Card.

Comment 1 Hendrik Borghorst 2007-04-04 13:12:55 UTC
Created attachment 151655 [details]
Patch to fix the problem

In the flexcop-pci.c spin_lock is used before it was initialized by
spin_lock_init. Hope to include this.

Comment 2 Jarod Wilson 2007-04-04 13:52:19 UTC
Has this been sent upstream at all yet? I don't see it in the main v4l-dvb tree,
but that doesn't mean someone already knows about it...

If not, Michael, can I talk you into taking a look at it? :)

I've got a box with a b2c2-flexcop-pci card I can throw a rawhide kernel at
pretty easily to see if I can reproduce and validate the fix, if it helps.

Comment 3 Michael Krufky 2007-04-05 16:49:10 UTC
Patrick maintains this driver...  There is discussion in the following thread:

http://linuxtv.org/pipermail/linux-dvb/2007-April/016985.html

Comment 4 Michael Krufky 2007-04-05 19:56:59 UTC
Mauro pushed the patch into v4l-dvb.hg master repository today:

http://linuxtv.org/hg/v4l-dvb?cmd=changeset;node=a80058519add

Comment 5 Jarod Wilson 2007-05-18 13:14:58 UTC
Works fine with the latest kernels in my own b2c2-flexcop-pci box.


Note You need to log in before you can comment on or make changes to this bug.